Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.spi
Interface ProviderChallengeContext

public interface ProviderChallengeContext

The `ProviderChallengeContext` interface allows a Challenge Identity Assertion providers to return an object that contains state and is used for subsequent steps in a multi-step challenge/response process. This allows an identity asserter to support authentication protocols such as Microsoft's Windows NT Challenge/Response (NTLM), Simple and Protected GSS-API Negotiation Mechanism (SPNEGO), and other challenge/response authentication mechanisms.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`CallbackHandler` | `getCallbackHandler()` Returns the callback handler for the challenge identity assertion.
`Object` | `getChallengeToken()` Returns the challenge token for the challenge identity assertion.
`boolean` | `hasChallengeIdentityCompleted()` Returns whether the challenge identity assertion has completed.

Method Detail

### getCallbackHandler

    public CallbackHandler getCallbackHandler()

  Returns the callback handler for the challenge identity assertion. This method should only be called when the `hasChallengeIdentityCompleted()` method returns true. If called incorrectly, then an `IllegalStateException` runtime exception will be thrown.

  Returns:
    the `CallbackHandler` related to the identity, or `null` to signify the anonymous user

### getChallengeToken

    public Object getChallengeToken()

  Returns the challenge token for the challenge identity assertion. This method should only be called when the `hasChallengeIdentityCompleted()` method returns `false`. If called incorrectly, then an `IllegalStateException` runtime exception will be thrown.

  Returns:
    the challenge token for the challenge Identity Assertion provider

### hasChallengeIdentityCompleted

    public boolean hasChallengeIdentityCompleted()

  Returns whether the challenge identity assertion has completed.

  Returns:
    `true` if the challenge identity assertion has completed, `false` if not. If `true`, the caller should use the `getCallbackHandler()` method. If `false`, then the caller should use the `getChallengeToken()` method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD